summaryrefslogtreecommitdiff
path: root/scripts/slib
diff options
context:
space:
mode:
authorSuleyman Farajli <suleyman@farajli.net>2025-11-08 22:12:54 +0400
committerSuleyman Farajli <suleyman@farajli.net>2025-11-08 22:12:54 +0400
commit4c447602f54e9ec43239e82184487b5899b39c02 (patch)
tree28b63d59f55aaea3d44d02a700a7b6fa20016931 /scripts/slib
parent36f2d18374ad5adfe07c8c67c7c41d68622ab307 (diff)
fix(slib): start compositor even when the command fails in `run`
Diffstat (limited to 'scripts/slib')
-rwxr-xr-xscripts/slib6
1 files changed, 4 insertions, 2 deletions
diff --git a/scripts/slib b/scripts/slib
index 4e21eb6..828c4cb 100755
--- a/scripts/slib
+++ b/scripts/slib
@@ -115,6 +115,7 @@ send_notification() {
run() {
relstat=0
compstat=0
+ exitval=0
while [ $# -gt 0 ]; do
case "$1" in
@@ -137,7 +138,8 @@ run() {
else
[ -n "${3}" ] && err "${3}"
[ -n "${failure_msg}" ] && send_notification "${argv0}:" "${failure_msg}"
- exit 1
+
+ exitval=1
fi
if [ "${relstat}" -eq 1 ]; then
@@ -148,5 +150,5 @@ run() {
picom -b || echo "Warning: Failed to start picom" >&2
fi
- exit 0
+ exit "${exitval}"
}